## org.eclipse.datatools.connectivity.ui.actions
Class ImportProfileViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.ImportProfileViewAction

    public class ImportProfileViewAction

extends Action

Ideally, this class should be split into two, one is for Action, the other is for View Action.

Author:
  shongxum & brianf

Constructor Summary
`ImportProfileViewAction()` Constructor

Method Summary
`void` `addHandlerListener(IHandlerListener listener)`
`void` `dispose()`
`java.lang.Object` `execute(ExecutionEvent event)`
`void` `init(IViewPart view)`
`boolean` `isCompleted()`
`void` `removeHandlerListener(IHandlerListener handlerListener)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportProfileViewAction

    public ImportProfileViewAction()

  Constructor

Method Detail

### init

    public void init(IViewPart view)

### addHandlerListener

    public final void addHandlerListener(IHandlerListener listener)

### dispose

    public final void dispose()

### execute

    public java.lang.Object execute(ExecutionEvent event)
                             throws ExecutionException

  Throws:
    `ExecutionException`

### removeHandlerListener

    public void removeHandlerListener(IHandlerListener handlerListener)

### run

    public void run()

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### isCompleted

    public boolean isCompleted()

  Returns:

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.